Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability.event
Class EventManager

    java.lang.Object
      com.arjuna.orbportability.event.EventManager

public class EventManager
extends java.lang.Object

The current implementation will invoke all registered handlers whenever an object is connected and disconnected. These handlers can then determine whether they want to do anything about it by checking the type of the object (using narrow).

Since:
  JTS 2.1.
Version:
  $Id: EventManager.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`protected` | `EventManager()`

Method Summary
`boolean` | `addHandler(EventHandler h)` Add the specified handler.
`void` | `connected(org.omg.CORBA.Object obj)` The object has been connected to the ORB.
`void` | `disconnected(org.omg.CORBA.Object obj)` The object has been disconnected from the ORB.
`static EventManager` | `getManager()`
`boolean` | `removeHandler(EventHandler h)` Remove the specified handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventManager

    protected EventManager()

Method Detail

### connected

    public void connected(org.omg.CORBA.Object obj)

  The object has been connected to the ORB.

### disconnected

    public void disconnected(org.omg.CORBA.Object obj)

  The object has been disconnected from the ORB.

### addHandler

    public boolean addHandler(EventHandler h)

  Add the specified handler. If the handler has already been registered then this operation will fail.

### removeHandler

    public boolean removeHandler(EventHandler h)

  Remove the specified handler. If the handler has not been registered then this operation will fail.

### getManager

    public static EventManager getManager()

  Returns:
    the EventManager instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD